{% form_theme form 'SyliusWebBundle:Backend:forms.html.twig' %}
{% macro imagePrototype() %}
    <div class="sylius-assortment-product-images-image row" id="sylius_product_masterVariant_images___name__">
        <div class="col-md-1">
            <span class="thumbnail"></span>
        </div>
        <div class="col-md-9">
            <label for="sylius_product_masterVariant_images___name___file" class="btn-primary btn-lg file-overlay"><i class="glyphicon glyphicon-folder-open"></i>&nbsp; {{ 'sylius.form.choose_file'|trans }}</label>
            <input type="file" class="form-control hidden" required="required" name="sylius_product[masterVariant][images][__name__][file]" id="sylius_product_masterVariant_images___name___file">
        </div>
        <div class="col-md-2">
            <a href="#" class="btn btn-danger" data-collection-button="delete" data-collection="sylius-assortment-product-images" data-collection-item="image"><i class="glyphicon glyphicon-trash"></i>&nbsp;{{ 'sylius.variant.delete_image'|trans }}</a>
        </div>
    </div>
{% endmacro %}

<div class="tab-pane" id="images">
    <div class="row">
        <div class="col-md-12">Pridat PDF:</div>
        {{ form_widget(form.media) }}
    </div>
    <div id="sylius-assortment-product-images" data-toggle="modal-gallery" data-target="#modal-gallery" class="collection-container" data-prototype="{{ _self.imagePrototype()|e }}">
        {% for imageForm in form.masterVariant.images %}
            <div class="sylius-assortment-product-images-image row">
                <div class="col-md-1">
                    {% if imageForm.vars.value.path|length > 0 %}
                        <a href="{{ imageForm.vars.value.path|imagine_filter('sylius_large') }}" data-gallery="gallery">
                            <img class="img-rounded" src="{{ imageForm.vars.value.path|imagine_filter('sylius_small') }}" alt="" />
                        </a>
                    {% endif %}
                </div>
                <div class="col-md-9">
                    {{ form_widget(imageForm.file) }}
                </div>
                <div class="col-md-2">
                    <a href="#" class="btn btn-danger" data-collection-button="delete" data-collection="sylius-assortment-product-images" data-collection-item="image"><i class="glyphicon glyphicon-trash"></i>&nbsp;{{ 'sylius.variant.delete_image'|trans }}</a>
                </div>
            </div>
        {% endfor %}
    </div>

    <hr>
    <a href="#" class="btn btn-primary btn-block" data-collection-button="add" data-prototype="sylius-assortment-product-images" data-collection="sylius-assortment-product-images">{{ 'sylius.variant.add_image'|trans }}</a>
</div>